<div class="profile-container">
  <div class="user-info align">
    <h2 class="header">{{this.user.username}}</h2>
    <div>
      <div class="preffered-language">Preferred language is {{this.userLanguagePreference}}</div>
      <button mat-button [matMenuTriggerFor]="languageMenu" class="preffered-language-button btn-basic user-info">Change language
        preference</button>
      <mat-menu #languageMenu="matMenu">
        <ng-container *ngFor="let language of this.languageData">
          <button mat-menu-item (click)="this.changeLanguagePref(language)">
            {{ language.name }}</button>
        </ng-container>
      </mat-menu>
      <div class="align">
        <i class="material-icons">
          add_circle
        </i>
        <button mat-button class="btn-basic" (click)="this.goToCreateArticle()">create article</button>
      </div>
    </div>
    <div>
    </div>
  </div>
  <div class="article">
    <div class="user-articles">
      <h2 class="align">My Articles:</h2>
      <div *ngFor="let article of this.articles">
        <app-single-article-user [article]="article" (deleteArticleClick)="delete($event)"></app-single-article-user>
      </div>
    </div>
  </div>
</div>
